Last Comment Bug 695743 - Save as PDF
: Save as PDF
Status: VERIFIED FIXED
[QA+]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
:
Mentors:
Depends on: 696875 697417
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 10:32 PDT by (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2012-01-09 11:05 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Add a "Save as PDF" menu item (7.99 KB, patch)
2011-10-24 14:27 PDT, (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
mark.finkle: review+
Details | Diff | Review
Add a "Save as PDF" menu item (v2) (7.95 KB, patch)
2011-10-25 09:02 PDT, (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
bugmail.mozilla: review+
Details | Diff | Review

Description (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2011-10-19 10:32:52 PDT

    
Comment 1 (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2011-10-24 14:27:08 PDT
Created attachment 569184 [details] [diff] [review]
Add a "Save as PDF" menu item

Patch to add PDF printing support. It silently saves a PDF into the Download folder on the sdcard, assuming the patch in the dependent bug is applied.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-24 14:37:37 PDT
Comment on attachment 569184 [details] [diff] [review]
Add a "Save as PDF" menu item


>diff --git a/embedding/android/GeckoApp.java b/embedding/android/GeckoApp.java

>+           case R.id.saveaspdf:
>+               GeckoAppShell.sendEventToGecko(new GeckoEvent("save-as-pdf", null));

I'm on a mission to use consistent event/message names. Can we use "SaveAs:PDF"

>diff --git a/embedding/android/locales/en-US/android_strings.dtd b/embedding/android/locales/en-US/android_strings.dtd
>diff --git a/mobile/chrome/content/browser.js b/mobile/chrome/content/browser.js

>+    Services.obs.addObserver(this, "save-as-pdf", false);

Same

>+  saveAsPDF: function saveAsPDF(browser) {

nit: aBrowser

r+
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-24 14:38:21 PDT
Madhava might want a string change, but "Save as PDF" is good for now
Comment 4 (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2011-10-25 09:02:28 PDT
Created attachment 569396 [details] [diff] [review]
Add a "Save as PDF" menu item (v2)

Updated as requested, rebased to latest birch code.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 10:57:00 PDT
https://hg.mozilla.org/projects/birch/rev/18c90fce8d82
Comment 6 Aaron Train [:aaronmt] 2011-10-26 07:18:56 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111026 Firefox/10.0a1 Fennec/10.0a1

Note You need to log in before you can comment on or make changes to this bug.